Hail API
POST
/calls

Header Parameters

authorization?string|null
Idempotency-Key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/calls" \  -H "Content-Type: application/json" \  -d '{    "recipient_consent": true,    "to": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",  "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",  "from_e164": "string",  "to_e164": "string",  "direction": "outbound",  "status": "queued",  "end_reason": "string",  "provider_call_sid": "string",  "livekit_room": "string",  "initial_prompt": "string",  "recording_s3_key": "string",  "requested_at": "2019-08-24T14:15:22Z",  "started_at": "2019-08-24T14:15:22Z",  "answered_at": "2019-08-24T14:15:22Z",  "ended_at": "2019-08-24T14:15:22Z"}